Add

[POST] .../v1/pos/chequeitemoperation/add

Adds item lines to a POS cheque. Add an item by item_id and positive quantity to an open cheque; use AddByBarcode for scanned items. Returns new_uuid. Checks the current request user, accepted cash register, cheque state, item availability, prices and stock limits. Recalculates automatic promotions. Business errors return HTTP 200 ErrorResult.

Request Parameters

Name Type Required Description
document_uuid String Required Cash register cheque UUID.
item_id Int64 Required Item ID.
label String Optional Labeling flag.
quantity Decimal Required Number of line items in the cheque.

Request Example

{
  "document_uuid": "00000000-0000-0000-0000-000000000000",
  "item_id": 1,
  "label": "string",
  "quantity": 1.0
}

Response Parameters

Name Type Description
ok Boolean Indicates whether the request completed successfully.
result Insert_uuid Created UUID record result.

Response Example

{
  "ok": true,
  "result": {
    "new_uuid": "00000000-0000-0000-0000-000000000000"
  }
}